Checking the MEP Version

Some MapR Installer operations require you to know the version of the currently installed MapR Ecosystem Pack (MEP). You can check the MEP version easily from within the MapR Installer user interface or derive the MEP version from your repository information.

Checking the MEP Version Using the MapR Installer

The MapR Control System (MCS) does not indicate the version of the currently installed MEP. However, if you used the MapR Installer to install the cluster, you can view the MEP version on the home page:

Checking the MEP Version in the Repository

If you installed the cluster manually, you can learn the MEP version by checking the /etc/yum.repos.d/mapr_ecosystem.repo file:
# cd /etc/yum.repos.d/
# ls -l
total 52
-rw-r--r-- 1 root root 1664 Apr 28  2018 CentOS-Base.repo
-rw-r--r-- 1 root root 1309 Apr 28  2018 CentOS-CR.repo
-rw-r--r-- 1 root root  649 Apr 28  2018 CentOS-Debuginfo.repo
-rw-r--r-- 1 root root  314 Apr 28  2018 CentOS-fasttrack.repo
-rw-r--r-- 1 root root  630 Apr 28  2018 CentOS-Media.repo
-rw-r--r-- 1 root root 1331 Apr 28  2018 CentOS-Sources.repo
-rw-r--r-- 1 root root 4768 Apr 28  2018 CentOS-Vault.repo
-rw-r--r-- 1 root root  957 Dec 27  2016 epel.repo
-rw-r--r-- 1 root root 1056 Dec 27  2016 epel-testing.repo
-rw-r--r-- 1 root root  169 May 14 10:04 mapr_core.repo
-rw-r--r-- 1 root root  186 May 14 10:04 mapr_ecosystem.repo
-rw-r--r-- 1 root root  171 May 13 11:25 mapr_installer.repo
# more mapr_ecosystem.repo

[MapR_Ecosystem]
name = MapR Ecosystem Components
baseurl = https://package.mapr.com/releases/MEP/MEP-6.2.0/redhat
gpgcheck = 1
enabled = 1
protected = 1
#

Checking the MEP Version Using the Installed Packages

If the /etc/yum.repos.d/mapr_ecosystem.repo file is not available for any reason, another way to learn the currently installed MEP version is to check the versions of the installed packages. Use one of the following commands to display the MapR package versions:

On CentOS / RedHat yum list installed
On SUSE zypper packages --installed-only
On Ubuntu apt list --installed

For example:

# yum list installed
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.sjc02.svwh.net
 * epel: mirror.sjc02.svwh.net
 * extras: mirror.sesp.northwestern.edu
 * updates: mirrors.syringanetworks.net
Installed Packages
...
mapr-apiserver.noarch             6.1.0.20180927000933-1         @MapR_Core
mapr-asynchbase.noarch            1.7.0.201808282317-1           @MapR_Ecosystem
mapr-cldb.x86_64                  6.1.0.20180926230239.GA-1      @MapR_Core
mapr-collectd.x86_64              5.8.1.1.201905020932-1         @MapR_Ecosystem
mapr-core.x86_64                  6.1.0.20180926230239.GA-1      @MapR_Core
mapr-core-internal.x86_64         6.1.0.20180926230239.GA-1      @MapR_Core
mapr-fileserver.x86_64            6.1.0.20180926230239.GA-1      @MapR_Core
mapr-gateway.x86_64               6.1.0.20180926230239.GA-1      @MapR_Core
mapr-hadoop-core.x86_64           2.7.0.20180926230239.GA-1      @MapR_Core
mapr-hbase.noarch                 1.1.8.201905020804-1           @MapR_Ecosystem
mapr-hbase-rest.noarch            1.1.8.201905020804-1           @MapR_Ecosystem
mapr-hbasethrift.noarch           1.1.8.201905020804-1           @MapR_Ecosystem
mapr-installer.noarch             1.12.0.0.201905101627-1        @MapR_Installer
mapr-installer-definitions.noarch 1.12.0.0.201905101627-1        @MapR_Installer
mapr-kafka.noarch                 1.1.1.201901241010-1           @MapR_Ecosystem
mapr-librdkafka.noarch            0.11.3.201901281115-1          @MapR_Ecosystem
mapr-mapreduce2.x86_64            2.7.0.20180926230239.GA-1      @MapR_Core
mapr-mastgateway.x86_64           6.1.0.20180926230239.GA-1      @MapR_Core
mapr-opentsdb.noarch              2.4.0.201905082317-1           @MapR_Ecosystem
mapr-webserver.noarch             6.1.0.20180927000933-1         @MapR_Core
mapr-zk-internal.x86_64           6.1.0.20180926230239.GA-1      @MapR_Core
mapr-zookeeper.x86_64             6.1.0.20180926230239.GA-1      @MapR_Core
...

Then compare the package versions against the component versions in the MapR MEP repository. Some MapR package versions can be the same for multiple MEPs, so it is best to compare multiple packages to confirm the installed MEP.